> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/fr/powershell-commands/set-dsuserlicense.md).

# Set-DSUserLicense

Set-DSUserLicense attribue ou retire une licence Devolutions Server pour un utilisateur en mettant à jour l'indicateur IsMember de l'attribution de licence.

### Synopsis

Définir les attributions de licence

### Syntaxe

#### \_\_AllParameterSets

```
Set-DSUserLicense -InputObject <PSLicenseAssignmentInfo[]> [-AsLegacyResponse] [<CommonParameters>]
```

### Description

Définir les attributions de licence. Pour attribuer ou retirer une licence à un utilisateur, modifiez le champ IsMember de l'utilisateur souhaité.

### Exemples

```powershell
PS C:\> $AsLegacyResponse = $true
        $licResponse = Get-DSLicence;
        $license = $licRespones.Data | Where -Property License -like XXXXX* | Select -First 1
        $assignResponse = Get-DSUserLicense -InputObject $license
        $assignments = $assignResponse.Data
        $aUserAssignment = $asssignments | Where Name -eq 'Name of the user to assign'
        $aUserAssignment.IsMember = $true
        Set-DSUserLicense -InputObject $aUserAssignment
```

Attribuer la licence commençant par XXXXX à l'utilisateur 'Name of the user to assign'

### Paramètres

#### -AsLegacyResponse

Dans les versions antérieures à 2024.2, plusieurs applets de commande DS retournaient un objet ServerResponse. L'activation de ce commutateur de compatibilité descendante permet aux scripts développés pour les versions antérieures de fonctionner correctement.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -InputObject

Attributions d'utilisateur à une licence obtenues de Get-DSUserLicense

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSLicenseAssignmentInfo[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: true
  ValueFromPipeline: true
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Cette applet de commande prend en charge les paramètres communs : -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction et -WarningVariable. Pour plus d'information, consultez [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Entrées

#### RemoteDesktopManager.PowerShellModule.PSOutputObject.PSLicenseAssignmentInfo

Attributions modifiées obtenues de Get-DSUserLicense

### Notes

Pour plus d'information, tapez « Get-Help Set-DSUserLicense -detailed ». Pour de l'information technique, tapez « Get-Help Set-DSUserLicense -full ».


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/fr/powershell-commands/set-dsuserlicense.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
